<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Base.Theme.PetStoreMobile" parent="Theme.Material3.DayNight.NoActionBar">
        <item name="colorPrimary">@color/primary_dark</item>
        <item name="colorPrimaryVariant">@color/primary_medium</item>
        <item name="colorAccent">@color/accent_coral</item>
        <item name="android:windowBackground">@color/primary_dark</item>
        <item name="editTextStyle">@style/Widget.App.EditText</item>
        <item name="spinnerStyle">@style/Widget.App.Spinner</item>
        <item name="materialAlertDialogTheme">@style/ThemeOverlay.App.MaterialAlertDialog</item>
        <item name="alertDialogTheme">@style/Theme.App.AlertDialog</item>
    </style>

    <style name="ThemeOverlay.App.MaterialAlertDialog" parent="ThemeOverlay.Material3.MaterialAlertDialog">
        <item name="colorPrimary">@color/white</item>
        <item name="colorOnSurface">@color/white</item>
        <item name="buttonBarPositiveButtonStyle">@style/Widget.App.Button.TextButton</item>
        <item name="buttonBarNegativeButtonStyle">@style/Widget.App.Button.TextButton</item>
    </style>

    <style name="Theme.App.AlertDialog" parent="Theme.AppCompat.Dialog.Alert">
        <item name="colorAccent">@color/white</item>
        <item name="android:textColorPrimary">@color/white</item>
        <item name="buttonBarPositiveButtonStyle">@style/Widget.App.Button.TextButton</item>
        <item name="buttonBarNegativeButtonStyle">@style/Widget.App.Button.TextButton</item>
    </style>

    <style name="Widget.App.Button.TextButton" parent="Widget.Material3.Button.TextButton">
        <item name="android:textColor">@color/white</item>
    </style>
</resources>